=== Exceptions

Blocks in an `if` chain that contain a single line of code are ignored, as are blocks in a `switch` statement that contain a single line of code with or without a following `break`.


[source,php]
----
if ($a >= 0 && $a < 10) {
  doTheThing();
}
else if ($a >= 10 && $a < 20) {
  doTheOtherThing();
}
else if ($a >= 20 && $a < 50) {
  doTheThing();  // no issue, usually this is done on purpose to increase the readability
}
----

But this exception does not apply to `if` chains without `else`-s, or to `switch`-es without default clauses when all branches have the same single line of code. In the case of `if` chains with `else`-s, or of `switch`-es with default clauses, rule S3923 raises a bug.

[source,php]
----
if ($a >= 0 && $a < 10) {
  doTheThing();
}
else if ($a >= 20 && $a < 50) {
  doTheThing();   //Noncompliant; this might have been done on purpose but probably not
}
----